ICU 71.1 71.1

Public Member Functions | Friends
icu::number::UnlocalizedNumberRangeFormatter Class Reference

A NumberRangeFormatter that does not yet have a locale. More...

`#include <numberrangeformatter.h>`

Inheritance diagram for icu::number::UnlocalizedNumberRangeFormatter:

## Public Member Functions
LocalizedNumberRangeFormatter | locale (const icu::Locale &locale) const &
| Associate the given locale with the number range formatter. More...
LocalizedNumberRangeFormatter | locale (const icu::Locale &locale) &&
| Overload of locale() for use on an rvalue reference. More...
| UnlocalizedNumberRangeFormatter ()=default
| Default constructor: puts the formatter into a valid but undefined state. More...
| UnlocalizedNumberRangeFormatter (const UnlocalizedNumberRangeFormatter &other)
| Returns a copy of this UnlocalizedNumberRangeFormatter. More...
| UnlocalizedNumberRangeFormatter (UnlocalizedNumberRangeFormatter &&src) U_NOEXCEPT
| Move constructor: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state. More...
UnlocalizedNumberRangeFormatter & | operator= (const UnlocalizedNumberRangeFormatter &other)
| Copy assignment operator. More...
UnlocalizedNumberRangeFormatter & | operator= (UnlocalizedNumberRangeFormatter &&src) U_NOEXCEPT
| Move assignment operator: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state. More...
Public Member Functions inherited from icu::number::NumberRangeFormatterSettings< Derived >
Derived | numberFormatterBoth (const UnlocalizedNumberFormatter &formatter) const &
| Sets the NumberFormatter instance to use for the numbers in the range. More...
Derived | numberFormatterBoth (const UnlocalizedNumberFormatter &formatter) &&
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
Derived | numberFormatterBoth (UnlocalizedNumberFormatter &&formatter) const &
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
Derived | numberFormatterBoth (UnlocalizedNumberFormatter &&formatter) &&
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
Derived | numberFormatterFirst (const UnlocalizedNumberFormatter &formatterFirst) const &
| Sets the NumberFormatter instance to use for the first number in the range. More...
Derived | numberFormatterFirst (const UnlocalizedNumberFormatter &formatterFirst) &&
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
Derived | numberFormatterFirst (UnlocalizedNumberFormatter &&formatterFirst) const &
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
Derived | numberFormatterFirst (UnlocalizedNumberFormatter &&formatterFirst) &&
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
Derived | numberFormatterSecond (const UnlocalizedNumberFormatter &formatterSecond) const &
| Sets the NumberFormatter instance to use for the second number in the range. More...
Derived | numberFormatterSecond (const UnlocalizedNumberFormatter &formatterSecond) &&
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
Derived | numberFormatterSecond (UnlocalizedNumberFormatter &&formatterSecond) const &
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
Derived | numberFormatterSecond (UnlocalizedNumberFormatter &&formatterSecond) &&
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
Derived | collapse (UNumberRangeCollapse collapse) const &
| Sets the aggressiveness of "collapsing" fields across the range separator. More...
Derived | collapse (UNumberRangeCollapse collapse) &&
| Overload of collapse() for use on an rvalue reference. More...
Derived | identityFallback (UNumberRangeIdentityFallback identityFallback) const &
| Sets the behavior when the two sides of the range are the same. More...
Derived | identityFallback (UNumberRangeIdentityFallback identityFallback) &&
| Overload of identityFallback() for use on an rvalue reference. More...
LocalPointer< Derived > | clone () const &
| Returns the current (Un)LocalizedNumberRangeFormatter as a LocalPointer wrapping a heap-allocated copy of the current object. More...
LocalPointer< Derived > | clone () &&
| Overload of clone for use on an rvalue reference. More...
UBool | copyErrorTo (UErrorCode &outErrorCode) const
| Sets the UErrorCode if an error occurred in the fluent chain. More...

## Friends
class | NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >
class | NumberRangeFormatter

## Detailed Description

A NumberRangeFormatter that does not yet have a locale.

In order to format, a locale must be specified.

Instances of this class are immutable and thread-safe.

See also
  NumberRangeFormatter

Stable:
  ICU 63

Definition at line 392 of file numberrangeformatter.h.

## Constructor & Destructor Documentation

## ◆ UnlocalizedNumberRangeFormatter() [1/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( |  | ) |
| default

Default constructor: puts the formatter into a valid but undefined state.

Stable:
  ICU 63

## ◆ UnlocalizedNumberRangeFormatter() [2/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( | const UnlocalizedNumberRangeFormatter & | other | ) |

Returns a copy of this UnlocalizedNumberRangeFormatter.

Stable:
  ICU 63

## ◆ UnlocalizedNumberRangeFormatter() [3/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( | UnlocalizedNumberRangeFormatter && | src | ) |

Move constructor: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable:
  ICU 63

## Member Function Documentation

## ◆ locale() [1/2]

LocalizedNumberRangeFormatter icu::number::UnlocalizedNumberRangeFormatter::locale | ( | const icu::Locale & | locale | ) | &&

Overload of locale() for use on an rvalue reference.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

See also
  locale

Stable:
  ICU 63

## ◆ locale() [2/2]

LocalizedNumberRangeFormatter icu::number::UnlocalizedNumberRangeFormatter::locale | ( | const icu::Locale & | locale | ) | const &

Associate the given locale with the number range formatter.

The locale is used for picking the appropriate symbols, formats, and other data for number display.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

Stable:
  ICU 63

## ◆ operator=() [1/2]

UnlocalizedNumberRangeFormatter& icu::number::UnlocalizedNumberRangeFormatter::operator= | ( | const UnlocalizedNumberRangeFormatter & | other | ) |

Copy assignment operator.

Stable:
  ICU 63

## ◆ operator=() [2/2]

UnlocalizedNumberRangeFormatter& icu::number::UnlocalizedNumberRangeFormatter::operator= | ( | UnlocalizedNumberRangeFormatter && | src | ) |

Move assignment operator: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable:
  ICU 63

The documentation for this class was generated from the following file:

- numberrangeformatter.h